#
# spec file for package xtartan (Version 2.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xtartan
Copyright:    Jim McBeath Globetrotter Software, Saratoga, California
Group:        Amusements/Graphics
Provides:     xtartan xtartan2 
Autoreqprov:  on
Version:      2.3
Release:      48
Summary:      Enjoy Scottish Tartans
Source:       %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}-imakefile.patch
BuildRoot:    %{_tmppath}/%{name}-root

%description
Xtartan offers you a wide variety of scottish tartans. They can be
viewed or alternatively used as a background picture.
One of the most exciting programs at all..;))

Authors:
--------
    Jim McBeath <jimmc@hisoft.uucp>

SuSE series: fun

%prep
%setup
%patch0

%build
xmkmf -a
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man
install -m 644  XTartan.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir /usr/X11R6/lib/X11/app-defaults
/usr/X11R6/bin/xtartan
%config /usr/X11R6/lib/X11/app-defaults/XTartan.ad
%doc /usr/X11R6/man/man1/xtartan.1x.gz

%changelog -n xtartan
* Tue Aug 07 2001 - adostal@suse.cz
- update to version 2.3
- fixed imakefile and spec file
* Tue Apr 10 2001 - ro@suse.de
- fixed group entry
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Apr 27 1999 - ro@suse.de
- define __need___va_list before including varargs
* Tue Oct 28 1997 - ro@suse.de
- dynamically linking to libXpm
* Mon Apr 28 1997 - mb@suse.de
  New: - Ability of specifying tartans via Xresources
  Add your own tartans by editing App-Defaults file XTartan
- Ability of creating an Xpm3.4 file of a tartan was added.
  (Hit "x" in xtartan)
